Support » Plugin: OSM - OpenStreetMap » php7.2 compatibility info

  • Resolved Erich Munz

    (@erich_k4wp)


    Hi,

    V4.1.1 and php7.2:

    PHP message: PHP Warning: Use of undefined constant Marker - assumed 'Marker' (this will throw an Error in a future version of PHP)

    $IconURL = OSM_PLUGIN_ICONS_URL.$a_MarkerArray[$row][Marker];

    should be:

    $IconURL = OSM_PLUGIN_ICONS_URL.$a_MarkerArray[$row]['Marker'];

    -> quotes missing

    found in osm-oljs2.php:
    affected lines (at least): 751, 782, 783, 784, 785, 790, 794, 798, 799, 809, 813, 850, 851, 904, 905
    and
    osm-oljs2_v4.php

    thank’s
    erich

    • This topic was modified 1 year, 4 months ago by Erich Munz. Reason: added file names
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author MiKa

    (@photoweblog)

    Hello Erich,

    could you chang from osm_map to osm_map_v3 shortcode and let us know if there is still a problem.

    Thanks & br,
    MiKa

    no problems with osm_map_v3
    thank’s for the tip
    Erich

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘php7.2 compatibility info’ is closed to new replies.